com.io7m.r2.core.debug

## Class R2DebugInstanceSingle

- java.lang.Object
- - com.io7m.r2.core.debug.R2DebugInstanceSingle

- All Implemented Interfaces:
    R2DebugInstanceSingleType

      @Generated(value={"Immutables.generator","R2DebugInstanceSingleType"})
      public final class R2DebugInstanceSingle
      extends Object
      implements R2DebugInstanceSingleType

  A single instance.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `R2DebugInstanceSingle.Builder` Builds instances of type `R2DebugInstanceSingle`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static R2DebugInstanceSingle.Builder` | `builder()` Creates a builder for `R2DebugInstanceSingle`.
    `com.io7m.jtensors.parameterized.PVectorI4F<R2SpaceRGBAType>` | `color()`
    `static R2DebugInstanceSingle` | `copyOf(R2DebugInstanceSingleType instance)` Creates an immutable copy of a `R2DebugInstanceSingleType` value.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `R2DebugInstanceSingle` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `instance`, `color`.
    `R2InstanceSingleType` | `instance()`
    `static R2DebugInstanceSingle` | `of(R2InstanceSingleType instance, com.io7m.jtensors.parameterized.PVectorI4F<R2SpaceRGBAType> color)` Construct a new immutable `R2DebugInstanceSingle` instance.
    `String` | `toString()` Prints the immutable value `R2DebugInstanceSingle` with attribute values.
    `R2DebugInstanceSingle` | `withColor(com.io7m.jtensors.parameterized.PVectorI4F<R2SpaceRGBAType> value)` Copy the current immutable object by setting a value for the `color` attribute.
    `R2DebugInstanceSingle` | `withInstance(R2InstanceSingleType value)` Copy the current immutable object by setting a value for the `instance` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### instance

          public R2InstanceSingleType instance()

      Specified by:
        `instance` in interface `R2DebugInstanceSingleType`
      Returns:
        The actual instance

    - #### color

          public com.io7m.jtensors.parameterized.PVectorI4F<R2SpaceRGBAType> color()

      Specified by:
        `color` in interface `R2DebugInstanceSingleType`
      Returns:
        The color of the instance

    - #### withInstance

          public final R2DebugInstanceSingle withInstance(R2InstanceSingleType value)

      Copy the current immutable object by setting a value for the `instance` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for instance
      Returns:
        A modified copy of the `this` object

    - #### withColor

          public final R2DebugInstanceSingle withColor(com.io7m.jtensors.parameterized.PVectorI4F<R2SpaceRGBAType> value)

      Copy the current immutable object by setting a value for the `color` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for color
      Returns:
        A modified copy of the `this` object

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `R2DebugInstanceSingle` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `instance`, `color`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `R2DebugInstanceSingle` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static R2DebugInstanceSingle of(R2InstanceSingleType instance,
                                                 com.io7m.jtensors.parameterized.PVectorI4F<R2SpaceRGBAType> color)

      Construct a new immutable `R2DebugInstanceSingle` instance.
      Parameters:
        `instance` - The value for the `instance` attribute
        `color` - The value for the `color` attribute
      Returns:
        An immutable R2DebugInstanceSingle instance

    - #### copyOf

          public static R2DebugInstanceSingle copyOf(R2DebugInstanceSingleType instance)

      Creates an immutable copy of a `R2DebugInstanceSingleType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
      Parameters:
        `instance` - The instance to copy
      Returns:
        A copied immutable R2DebugInstanceSingle instance

    - #### builder

          public static R2DebugInstanceSingle.Builder builder()

      Creates a builder for `R2DebugInstanceSingle`.
      Returns:
        A new R2DebugInstanceSingle builder

Copyright © 2017 <code@io7m.com> http://io7m.com